Subject: [alpine-aports] [PATCH 2/2] testing/libwacom: new aport

From: Ivan Tham <[email-masked]>
Date: Thu, 16 Mar 2017 23:25:37 +0800

http://linuxwacom.sourceforge.net/
Library to help implement Wacom tablet settings
---
 testing/libwacom/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/libwacom/APKBUILD

diff --git a/testing/libwacom/APKBUILD b/testing/libwacom/APKBUILD
new file mode 100644
index 00000000..ccda044f
--- /dev/null
+++ b/testing/libwacom/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Ivan Tham <[email-masked]>
+# Maintainer: Ivan Tham <[email-masked]>
+pkgname=libwacom
+pkgver=0.24
+pkgrel=0
+pkgdesc="Library to help implement Wacom tablet settings"
+url="http://linuxwacom.sourceforge.net/"
+arch="all"
+license="MIT"
+depends=""
+makedepends="libgudev-dev"
+checkdepends="bash findutils"
+install=""
+subpackages="$pkgname-dev"
+source="https://downloads.sourceforge.net/project/linuxwacom/$pkgname/$pkgname-$pkgver.tar.bz2"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+	install -dm755 "$pkgdir"/usr/lib/udev/rules.d/
+	tools/generate-udev-rules
+		> "$pkgdir"/usr/lib/udev/rules.d/65-libwacom.rules
+}
+
+sha512sums="331acb33ab798abf376f70647786c894014d5baa373cc66d53f1e77e77129ba78ec059f32f5cf3659a1fe3e8f9ff6ab3eb6eefd6090fc3c3bab4582ea25a5640  libwacom-0.24.tar.bz2"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---